/**
* Copyright (c) 2018 - 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

form {
  border-radius: 0;
  padding: $space-md;

  .nv-copyright {
    display: block;
    margin-bottom: -#{$space-md};
    margin-top: $space-md;
  }
}

.nv-form-group {
  margin-bottom: $space-default;
}

.nv-form-control {
  display: block;
  width: 100%;
}

.nv-form-text {
  display: block;
  margin-top: $space-sm;
}

.nv-form-check {
  margin: $space-default 0;
}

.nv-form-check-input {
  display: inline-block;
  margin: $space-sm;
  position: relative;
  vertical-align: middle;
}

.nv-form-check-label {
  margin-bottom: 0;
  vertical-align: middle;
}

.nv-form-control-file,
.nv-form-control-range {
  display: block;
  width: 100%;
}

.nv-form-control:disabled,
.nv-form-control[readonly] {
  background: darken($white, 10%);
}

.nv-form-check-input:disabled ~ .nv-form-check-label {
  color: darken($white, 40%);
}

.nv-form-control-plaintext {
  background: transparent !important;
  border-color: transparent !important;
  box-shadow: none !important;

  &:focus {
    border-color: transparent;
    box-shadow: none !important;
    color: unset !important;
  }
}

.nv-form-check-inline {
  align-items: center;
  display: inline-flex;
  margin-right: $space-sm;
  padding-left: 0;
}

.nv-form-inline {
  align-items: center;
  display: flex;
  flex-flow: row wrap;

  .nv-form-group {
    align-items: center;
    display: flex;
    flex: 0 0 auto;
    flex-flow: row wrap;
    margin-bottom: 0;
  }
}
